Get job logs
const url = 'https://api.craci.dev/v1preview1/job-logs?provider=github&repo=octo-org%2Focto-repo&job_id=12345678901';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.craci.dev/v1preview1/job-logs?provider=github&repo=octo-org%2Focto-repo&job_id=12345678901' \ --header 'Authorization: Bearer <token>'Stream stored GitHub Actions step output as timestamped plain text. Set follow=true to append new lines until the client disconnects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”CI provider. The only supported provider is GitHub (github).
Example
githubGitHub repository in OWNER/REPOSITORY form.
Example
octo-org/octo-repoGitHub job ID.
Example
12345678901Return only the last number of stored lines. Omit or use zero for all stored lines.
Keep the response open and append new lines until the client disconnects.
Responses
Section titled “Responses”RFC 3339 timestamp, tab, and log text on each line
Malformed selectors or options
object
Human-readable explanation specific to this occurrence.
HTTP status code returned with the problem.
Short, human-readable summary of the problem.
URI identifying the problem type. about:blank uses the HTTP status meaning.
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}Missing, invalid, expired, or revoked token
object
Human-readable explanation specific to this occurrence.
HTTP status code returned with the problem.
Short, human-readable summary of the problem.
URI identifying the problem type. about:blank uses the HTTP status meaning.
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}Unknown job
object
Human-readable explanation specific to this occurrence.
HTTP status code returned with the problem.
Short, human-readable summary of the problem.
URI identifying the problem type. about:blank uses the HTTP status meaning.
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}Internal dependency unavailable
object
Human-readable explanation specific to this occurrence.
HTTP status code returned with the problem.
Short, human-readable summary of the problem.
URI identifying the problem type. about:blank uses the HTTP status meaning.
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}